package com.lubjam16.epiceggsmash.mainMenu;

/**
 * Created by stonek on 1/30/16.
 */
public enum MainMenuOption {
    EGGS,START,RULES,CREDITS,QUIT;

    public MainMenuOption getPrevious(){
        if(this.equals(EGGS)){
            return QUIT;
        }
        else if(this.equals(START)){
            return EGGS;
        }
        else if(this.equals(RULES)){
            return START;
        }
        else if(this.equals(CREDITS)){
            return RULES;
        }
        else {
            return CREDITS;
        }
    }

    public MainMenuOption getNext(){
        if(this.equals(EGGS)){
            return START;
        }
        else if(this.equals(START)){
            return RULES;
        }
        else if(this.equals(RULES)){
            return CREDITS;
        }
        else if(this.equals(CREDITS)){
            return QUIT;
        }
        else {
            return EGGS;
        }
    }
}
